Page MenuHome

Error enabling Gaffer addon
Closed, ResolvedPublic

Description

System Information
Operating system and graphics card
Mac OS 10.12.3
NVIDIA GeForce GTX 680MX 2048 MB

Blender Version
2.78c

Short description of error
Tried installed an addon - Gaffer v 3.01 and it comes up an error about the Python requests module. Notified developer and he says it is an issue with my Blender, something not enabled so that Blender is using Mac's python install which does not have requsts module installed.

Exact steps for others to reproduce the error
Every time I click on enable for the Gaffer module this error pops up…

Details

Type
Bug

Event Timeline

I think 2.78c got re-issued for osx with requests bundled, so try re-downloading, otherwise grab a nightly from builder.blender.org

Vuk Gardašević (lijenstina) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Mar 8 2017, 6:14 PM

Like it was said, issue about the missing library is already reported in T50821. There was a problem with the initial upload of the Mac version. Please try to re-download the 2.78c and reinstall it again, and let us know if it worked for you.

Setting as incomplete until the requested information is provided.

Had to download twice, but yup new download all working - cheers for the prompt response :-)

LazyDodo (LazyDodo) closed this task as Resolved.Mar 8 2017, 8:10 PM
LazyDodo (LazyDodo) claimed this task.